Summary: PDE solving tool
Name: freefem++
Version: 2.24
Release: 2%{?dist}
URL: http://www.freefem.org/ff++/index.htm
Group: Applications/Engineering
Source0: http://www.freefem.org/ff++/ftp/%{name}-%{version}.tar.gz
Source1: FreeFem++.1
Patch0: %{name}-rpm.patch
Patch1: %{name}-gcc43.patch
License: LGPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:	arpack-devel
BuildRequires:	atlas-devel
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	fftw-devel
BuildRequires:	flex
BuildRequires:	fltk-devel
BuildRequires:	gcc-gfortran
BuildRequires:	ImageMagick
BuildRequires:	lapack-devel
BuildRequires:	libGLU-devel
BuildRequires:	libXpm-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	lam-devel
BuildRequires:	ufsparse-devel
BuildRequires:	%{_bindir}/dvips
BuildRequires:	%{_bindir}/epstopdf
BuildRequires:	%{_bindir}/pdflatex

%description
A PDE oriented language using Finite Element Method FreeFem++ is an
implementation of a language dedicated to the finite element method. It
provides you a way to solve Partial Differential Equations (PDE) simply.

Problems involving partial differential equations (pde) of  several
branches of physics such as fluid-structure interactions require
interpolations of data on several meshes and their manipulation within
one program.

FreeFem++ is an extension of freefem, freefem+ written in C++.

Homepage: http://www.freefem.org/

%package glx
Summary: PDE solving tool - OpenGL version
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description glx
This package contains the OpenGL version of FreeFem++.

%package mpi
Summary: PDE solving tool - MPI version
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description mpi
This package contains the MPI version of FreeFem++.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .r
%patch1 -p1 -b .gcc43
chmod -x src/fflib/mt19937ar.cpp
chmod -x src/lglib/mymain.cpp

%build
autoreconf
#sed -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure
#CPPFLAGS="`pkg-config --cflags lam`"
#export CPPFLAGS
%configure \
	--with-x \
	--with-blas="-L%{_libdir}/atlas -llapack -lf77blas -lcblas -latlas" \
	--with-mpi=mpic++

%{__make} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
%{__make} documentation

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_mandir}/man1/
install -pm644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

#%%check
#%{__make} check

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING COPYRIGHT ChangeLog HISTORY HISTORY_BEFORE_2005
%doc INNOVATION README* TODO
%doc DOC/freefem++doc.pdf
%{_mandir}/man1/*
%{_bindir}/FreeFem++
%{_bindir}/FreeFem++-client
%{_bindir}/FreeFem++-cs
%{_bindir}/FreeFem++-ide
%{_bindir}/FreeFem++-nw
%{_bindir}/FreeFem++-server
%{_bindir}/bamg
%{_bindir}/cvmsh2
%{_bindir}/drawbdmesh

%files glx
%defattr(-,root,root,-)
%{_bindir}/FreeFem++-glx

%files mpi
%defattr(-,root,root,-)
%{_bindir}/FreeFem++-mpi

%changelog
* Fri Feb 22 2008 Dominik Mierzejewski <rpm@greysector.net> 2.24-2
- fix build on ppc64

* Fri Feb 22 2008 Dominik Mierzejewski <rpm@greysector.net> 2.24-1
- updated to 2.24

* Wed Feb 20 2008 Dominik Mierzejewski <rpm@greysector.net> 2.23-1
- updated to 2.23
- fixed build with gcc-4.3 (with help from Denis Leroy)
- use file deps for latex tools
- MPI part doesn't build on ppc64 (bug #433870)

* Sun Apr 29 2007 Dominik Mierzejewski <rpm@greysector.net> 2.16-2
- enable testsuite
- remove load tests from testsuite, the rest completes fine

* Sat Apr 28 2007 Dominik Mierzejewski <rpm@greysector.net> 2.16-1
- updated to 2.16-2
- simplified defattr
- work around X11 "detection"
- work around lam's mpicxx.h misdetection in configure

* Tue Mar 27 2007 Dominik Mierzejewski <rpm@greysector.net> 2.14-2
- updated to 2.14-2

* Mon Mar 19 2007 Dominik Mierzejewski <rpm@greysector.net> 2.14-1
- updated to 2.14-1
- removed redundant builddeps

* Thu Nov 23 2006 Dominik Mierzejewski <rpm@greysector.net> 2.11-2
- specfile cleanups
- added manpage from CVS

* Fri Nov 17 2006 Dominik Mierzejewski <rpm@greysector.net> 2.11-1
- updated to 2.11
- specfile cleanups

* Tue Jun 27 2006 Dominik Mierzejewski <rpm@greysector.net>
- updated to latest CVS

* Mon May 15 2006 Dominik Mierzejewski <rpm@greysector.net>
- split into subpackages

* Wed Apr 26 2006 Dominik Mierzejewski <rpm@greysector.net>
- initial build
